Bug 208012 - DBD::CSV::Statement missing
DBD::CSV::Statement missing
Product: Fedora
Classification: Fedora
Component: perl-DBD-CSV (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-09-25 16:16 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: perl-DBD-CSV-0.22-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-26 17:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-09-25 16:16:19 EDT
Using the example from the readme, I get the following error:

DBD::CSV::st execute failed: Can't locate object method "command" via package
"DBD::CSV::Statement" at /usr/lib/perl5/vendor_perl/5.8.8/DBD/CSV.pm line 156.
 [for Statement "SELECT * FROM a"] at b.pl line 16.
DBD::CSV::st fetchrow_array failed: Attempt to fetch row from a Non-SELECT
statement [for Statement "SELECT * FROM a"] at b.pl line 18.

To reproduce, run this:

use DBI;
$dbh = DBI->connect("DBI:CSV:f_dir=$HOME/csvdb")
or die "Cannot connect: " . $DBI::errstr;
$sth = $dbh->prepare("CREATE TABLE a (id INTEGER, name CHAR(10))")
or die "Cannot prepare: " . $dbh->errstr();
$sth->execute() or die "Cannot execute: " . $sth->errstr();

then this:

use DBI;
$dbh = DBI->connect(qq{DBI:CSV:csv_sep_char=\\;});
           $sth = $dbh->prepare("SELECT * FROM a");
while (my @row = $sth->fetchrow_array) {
        print "@row\n";
Comment 1 Jose Pedro Oliveira 2006-09-26 07:38:26 EDT
I'm unable to reproduce this in FC-5 using a /tmp location.

By the way what's the value of $HOME ?
(shouldn't it be $ENV{$HOME}?)

Could you also append the output of 
"rpm -q perl-DBI perl-DBD-CSV perl-SQL-Statement perl-Text-CSV_XS"?
Comment 2 Need Real Name 2006-09-26 09:50:47 EDT
perl-SQL-Statement isn't installed. Maybe the dependencies are wrong?
Comment 3 Jose Pedro Oliveira 2006-09-26 17:05:40 EDT
I was able to duplicate the problem when I uninstalled the SQL::Statement perl
module. Adding perl(SQL::Statement) to the requirements list.
Comment 4 Jose Pedro Oliveira 2006-09-26 17:29:45 EDT
perl-DBD-CSV-0.22-5 has just been built for FC-4, FC-5, and devel.  This release
now explicitly requires perl(SQL::Statement). It will also take one or two days
for it to appear in the mirrors (a push has just been missed).

Pleases re-open this ticket if the problem persists.

Comment 5 Need Real Name 2006-09-26 17:40:07 EDT
Will do - thanks!
Comment 6 Jose Pedro Oliveira 2006-09-26 17:45:48 EDT
The *unsigned* RPMS/SRPMS are available from this page
(just follow the "JOB ID" links).

Note You need to log in before you can comment on or make changes to this bug.